package com.ssj.service.kmt.exercisesys.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author yanghuan
 * @title: CheckTeacherDetailsRequest
 * @projectName ssj
 * @description: TODO
 * @date 2020/5/8 17:33
 */
public class CheckTeacherDetailsRequest extends BaseRequest {
    private static final long serialVersionUID = -5039733440016992719L;


    @ApiModelProperty(name = "teacherId",value = "老师id",required = true)
    private  String teacherId;

    @ApiModelProperty(name = "pageNo",value = "页数",required = true)
    private  int pageNo;

    @ApiModelProperty(name = "pageSize",value = "每页条数",required = true)
    private  int pageSize;

    @ApiModelProperty(name = "maxCreateTime",value = "最大时间",required = true)
    private  String maxCreateTime;

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public String getMaxCreateTime() {
        return maxCreateTime;
    }

    public void setMaxCreateTime(String maxCreateTime) {
        this.maxCreateTime = maxCreateTime;
    }
}
